Package com.google.android.exoplayer2.text

## Class SubtitleDecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.decoder.DecoderException
      - - com.google.android.exoplayer2.text.SubtitleDecoderException

- All Implemented Interfaces:
    `Serializable`

      public class SubtitleDecoderException
      extends DecoderException

  Thrown when an error occurs decoding subtitle data.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubtitleDecoderException​(String message)` |
    `SubtitleDecoderException​(String message, Throwable cause)` |
    `SubtitleDecoderException​(Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubtitleDecoderException

          public SubtitleDecoderException​(String message)

      Parameters:
        `message` - The detail message for this exception.

    - #### SubtitleDecoderException

          public SubtitleDecoderException​(@Nullable
                                          Throwable cause)

      Parameters:
        `cause` - The cause of this exception, or `null`.

    - #### SubtitleDecoderException

          public SubtitleDecoderException​(String message,
                                          @Nullable
                                          Throwable cause)

      Parameters:
        `message` - The detail message for this exception.
        `cause` - The cause of this exception, or `null`.